| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Typedefs | Functions | Variables
unit_strings.h File Reference
`#include <stdint.h>`
`#include "ws_symbol_export.h"`

Go to the source code of this file.

## Classes
struct | unit_name_string

## Typedefs
typedef struct unit_name_string | unit_name_string

## Functions
WS_DLL_PUBLIC const char * | unit_name_string_get_value (uint32_t value, const unit_name_string *units)
WS_DLL_PUBLIC const char * | unit_name_string_get_value64 (uint64_t value, const unit_name_string *units)
WS_DLL_PUBLIC const char * | unit_name_string_get_double (double value, const unit_name_string *units)

## Variables
WS_DLL_PUBLIC const unit_name_string | units_foot_feet
WS_DLL_PUBLIC const unit_name_string | units_bit_bits
WS_DLL_PUBLIC const unit_name_string | units_byte_bytes
WS_DLL_PUBLIC const unit_name_string | units_byte_bytespsecond
WS_DLL_PUBLIC const unit_name_string | units_octet_octets
WS_DLL_PUBLIC const unit_name_string | units_word_words
WS_DLL_PUBLIC const unit_name_string | units_tick_ticks
WS_DLL_PUBLIC const unit_name_string | units_meters
WS_DLL_PUBLIC const unit_name_string | units_meter_meters
WS_DLL_PUBLIC const unit_name_string | units_centimeters
WS_DLL_PUBLIC const unit_name_string | units_centimeter_centimeters
WS_DLL_PUBLIC const unit_name_string | units_millimeters
WS_DLL_PUBLIC const unit_name_string | units_millimeter_millimeters
WS_DLL_PUBLIC const unit_name_string | units_week_weeks
WS_DLL_PUBLIC const unit_name_string | units_day_days
WS_DLL_PUBLIC const unit_name_string | units_hour_hours
WS_DLL_PUBLIC const unit_name_string | units_hours
WS_DLL_PUBLIC const unit_name_string | units_minute_minutes
WS_DLL_PUBLIC const unit_name_string | units_minutes
WS_DLL_PUBLIC const unit_name_string | units_second_seconds
WS_DLL_PUBLIC const unit_name_string | units_seconds
WS_DLL_PUBLIC const unit_name_string | units_millisecond_milliseconds
WS_DLL_PUBLIC const unit_name_string | units_milliseconds
WS_DLL_PUBLIC const unit_name_string | units_microsecond_microseconds
WS_DLL_PUBLIC const unit_name_string | units_microseconds
WS_DLL_PUBLIC const unit_name_string | units_nanosecond_nanoseconds
WS_DLL_PUBLIC const unit_name_string | units_nanoseconds
WS_DLL_PUBLIC const unit_name_string | units_nanometers
WS_DLL_PUBLIC const unit_name_string | units_picoseconds
WS_DLL_PUBLIC const unit_name_string | units_femtoseconds
WS_DLL_PUBLIC const unit_name_string | units_attoseconds
WS_DLL_PUBLIC const unit_name_string | units_degree_degrees
WS_DLL_PUBLIC const unit_name_string | units_degree_celsius
WS_DLL_PUBLIC const unit_name_string | units_degree_bearing
WS_DLL_PUBLIC const unit_name_string | units_centibels
WS_DLL_PUBLIC const unit_name_string | units_decibels
WS_DLL_PUBLIC const unit_name_string | units_dbm
WS_DLL_PUBLIC const unit_name_string | units_dbi
WS_DLL_PUBLIC const unit_name_string | units_dbhz
WS_DLL_PUBLIC const unit_name_string | units_mbm
WS_DLL_PUBLIC const unit_name_string | units_percent
WS_DLL_PUBLIC const unit_name_string | units_khz
WS_DLL_PUBLIC const unit_name_string | units_ghz
WS_DLL_PUBLIC const unit_name_string | units_mhz
WS_DLL_PUBLIC const unit_name_string | units_hz
WS_DLL_PUBLIC const unit_name_string | units_hz_s
WS_DLL_PUBLIC const unit_name_string | units_kbit
WS_DLL_PUBLIC const unit_name_string | units_kbps
WS_DLL_PUBLIC const unit_name_string | units_kibps
WS_DLL_PUBLIC const unit_name_string | units_pkts
WS_DLL_PUBLIC const unit_name_string | units_pkts_per_sec
WS_DLL_PUBLIC const unit_name_string | units_km
WS_DLL_PUBLIC const unit_name_string | units_kmh
WS_DLL_PUBLIC const unit_name_string | units_m_s
WS_DLL_PUBLIC const unit_name_string | units_cm_s
WS_DLL_PUBLIC const unit_name_string | units_mm_s
WS_DLL_PUBLIC const unit_name_string | units_milliamps
WS_DLL_PUBLIC const unit_name_string | units_watt
WS_DLL_PUBLIC const unit_name_string | units_milliwatt
WS_DLL_PUBLIC const unit_name_string | units_microwatt
WS_DLL_PUBLIC const unit_name_string | units_volt
WS_DLL_PUBLIC const unit_name_string | units_grams_per_second
WS_DLL_PUBLIC const unit_name_string | units_meter_sec
WS_DLL_PUBLIC const unit_name_string | units_meter_sec_squared
WS_DLL_PUBLIC const unit_name_string | units_bit_sec
WS_DLL_PUBLIC const unit_name_string | units_segment_remaining
WS_DLL_PUBLIC const unit_name_string | units_frame_frames
WS_DLL_PUBLIC const unit_name_string | units_revolutions_per_minute
WS_DLL_PUBLIC const unit_name_string | units_pascal
WS_DLL_PUBLIC const unit_name_string | units_kilopascal
WS_DLL_PUBLIC const unit_name_string | units_newton_metre
WS_DLL_PUBLIC const unit_name_string | units_liter_per_hour
WS_DLL_PUBLIC const unit_name_string | units_amp
WS_DLL_PUBLIC const unit_name_string | units_watthour
WS_DLL_PUBLIC const unit_name_string | units_bpm
WS_DLL_PUBLIC const unit_name_string | units_calorie
WS_DLL_PUBLIC const unit_name_string | units_cycle_cycles
WS_DLL_PUBLIC const unit_name_string | units_ppm

## Detailed Description

Units to append to field values

## Typedef Documentation

## ◆ unit_name_string

typedef struct unit_name_string unit_name_string

For BASE_UNIT_STRING, the display format for adding units

## Function Documentation

## ◆ unit_name_string_get_double()

WS_DLL_PUBLIC const char * unit_name_string_get_double | ( | double | value,
|  | const unit_name_string * | units
| ) |  |

Returns the unit string appropriate for the double value.

From the given unit_name_string return the appropriate string pointer

Parameters

  [in] | value | The value for which to get the appropriate string
  [in] | units | The unit_name_string containing the relevant strings

Returns
  Pointer to the appropriate string

Returns the unit string appropriate for the double value.

## ◆ unit_name_string_get_value()

WS_DLL_PUBLIC const char * unit_name_string_get_value | ( | uint32_t | value,
|  | const unit_name_string * | units
| ) |  |

Returns the unit string appropriate for the 32 bit value.

From the given unit_name_string return the appropriate string pointer

Parameters

  [in] | value | The value for which to get the appropriate string
  [in] | units | The unit_name_string containing the relevant strings

Returns
  Pointer to the appropriate string

Returns the unit string appropriate for the 32 bit value.

## ◆ unit_name_string_get_value64()

WS_DLL_PUBLIC const char * unit_name_string_get_value64 | ( | uint64_t | value,
|  | const unit_name_string * | units
| ) |  |

Returns the unit string appropriate for the 64 bit value.

From the given unit_name_string return the appropriate string pointer

Parameters

  [in] | value | The value for which to get the appropriate string
  [in] | units | The unit_name_string containing the relevant strings

Returns
  Pointer to the appropriate string

Returns the unit string appropriate for the 64 bit value.